Commit.CommitSerializer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.service.paxos

## Class Commit.CommitSerializer

- java.lang.Object
- - org.apache.cassandra.service.paxos.Commit.CommitSerializer

- All Implemented Interfaces:
    IVersionedSerializer<Commit>
  Enclosing class:
    Commit

      public static class Commit.CommitSerializer
      extends java.lang.Object
      implements IVersionedSerializer<Commit>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommitSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Commit` | `deserialize(java.io.DataInput in, int version)` Deserialize into the specified DataInputStream instance.
    `void` | `serialize(Commit commit, DataOutputPlus out, int version)` Serialize the specified type into the specified DataOutputStream instance.
    `long` | `serializedSize(Commit commit, int version)` Calculate serialized size of object without actually serializing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommitSerializer

          public CommitSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(Commit commit,
                                DataOutputPlus out,
                                int version)
                         throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Serialize the specified type into the specified DataOutputStream instance.
      Specified by:
        `serialize` in interface `IVersionedSerializer<Commit>`
      Parameters:
        `commit` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
        `version` - protocol version
      Throws:
        `java.io.IOException` - if serialization fails

    - #### deserialize

          public Commit deserialize(java.io.DataInput in,
                                    int version)
                             throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Deserialize into the specified DataInputStream instance.
      Specified by:
        `deserialize` in interface `IVersionedSerializer<Commit>`
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
        `version` - protocol version
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException` - if deserialization fails

    - #### serializedSize

          public long serializedSize(Commit commit,
                                     int version)

      Description copied from interface: `IVersionedSerializer`
      Calculate serialized size of object without actually serializing.
      Specified by:
        `serializedSize` in interface `IVersionedSerializer<Commit>`
      Parameters:
        `commit` - object to calculate serialized size
        `version` - protocol version
      Returns:
        serialized size of object t

Copyright © 2018 The Apache Software Foundation